'\" t
.\"     Title: groupmems
.\"    Author: George Kraft, IV
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22/08/2022
.\"    Manual: Comandi per la gestione del sistema
.\"    Source: shadow-utils 4.12.3
.\"  Language: Italian
.\"
.TH "GROUPMEMS" "8" "22/08/2022" "shadow\-utils 4\&.12\&.3" "Comandi per la gestione del si"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NOME"
groupmems \- membri amministratori del gruppo primario dell\*(Aqutente
.SH "SINOSSI"
.HP \w'\fBgroupmems\fR\ 'u
\fBgroupmems\fR \-a\ \fIuser_name\fR | \-d\ \fIuser_name\fR | [\-g\ \fIgroup_name\fR] | \-l | \-p 
.SH "DESCRIZIONE"
.PP
The
\fBgroupmems\fR
command allows a user to administer their own group membership list without the requirement of superuser privileges\&. The
\fBgroupmems\fR
utility is for systems that configure its users to be in their own name sake primary group (i\&.e\&., guest / guest)\&.
.PP
Only the superuser, as administrator, can use
\fBgroupmems\fR
to alter the memberships of other groups\&.
.SH "OPZIONI"
.PP
The options which apply to the
\fBgroupmems\fR
command are:
.PP
\fB\-a\fR, \fB\-\-add\fR\ \&\fIuser_name\fR
.RS 4
Add a user to the group membership list\&.
.sp
If the
/etc/gshadow
file exist, and the group has no entry in the
/etc/gshadow
file, a new entry will be created\&.
.RE
.PP
\fB\-d\fR, \fB\-\-delete\fR\ \&\fIuser_name\fR
.RS 4
Cancella un utente dall\*(Aqelenco degli utenti del gruppo\&.
.sp
If the
/etc/gshadow
file exist, the user will be removed from the list of members and administrators of the group\&.
.sp
If the
/etc/gshadow
file exist, and the group has no entry in the
/etc/gshadow
file, a new entry will be created\&.
.RE
.PP
\fB\-g\fR, \fB\-\-group\fR\ \&\fIgroup_name\fR
.RS 4
Il super utente pu\(`o specificare quale elenco di membri del gruppo modificare\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Mostra un messaggio di aiuto ed esce\&.
.RE
.PP
\fB\-l\fR, \fB\-\-list\fR
.RS 4
Elenca tutti i membri del gruppo\&.
.RE
.PP
\fB\-p\fR, \fB\-\-purge\fR
.RS 4
Elimina tutti gli utenti dalla lista dei membri del gruppo\&.
.sp
If the
/etc/gshadow
file exist, and the group has no entry in the
/etc/gshadow
file, a new entry will be created\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.SH "CONFIGURAZIONE"
.PP
The
\fBgroupmems\fR
executable should be in mode
2710
as user
\fIroot\fR
and in group
\fIgroups\fR\&. The system administrator can add users to group
\fIgroups\fR
to allow or disallow them using the
\fBgroupmems\fR
utility to manage their own group membership list\&.
.sp
.if n \{\
.RS 4
.\}
.nf
	$ groupadd \-r groups
	$ chmod 2710 groupmems
	$ chown root\&.groups groupmems
	$ groupmems \-g groups \-a gk4
    
.fi
.if n \{\
.RE
.\}
.SH "CONFIGURAZIONE"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:
.SH "FILE"
.PP
/etc/group
.RS 4
Informazioni sugli account di gruppo\&.
.RE
.PP
/etc/gshadow
.RS 4
informazioni sicure sugli account di gruppo
.RE
.SH "VEDERE ANCHE"
.PP
\fBchfn\fR(1),
\fBchsh\fR(1),
\fBpasswd\fR(1),
\fBgroupadd\fR(8),
\fBgroupdel\fR(8),
\fBuseradd\fR(8),
\fBuserdel\fR(8),
\fBusermod\fR(8)\&.
